#ifndef __ADC_TRANSPORT_H
#define __ADC_TRANSPORT_H

#define MS5192T_SPI         SPI4

#define MS5192T_CS_HIGH     gpio_bits_set(GPIOE, GPIO_PINS_12)
#define MS5192T_CS_LOW      gpio_bits_reset(GPIOE, GPIO_PINS_12)


//
void adc_gpio_init(void);

//
flag_status adc_get_rdy(void);

// Initializes the SPI communication peripheral.
unsigned char SPI_Init(unsigned char lsbFirst, unsigned long clockFreq,
                       unsigned char clockPol, unsigned char clockPha);

// Writes data to SPI.
unsigned char SPI_Write(unsigned char* data, unsigned char bytesNumber);

// Reads data from SPI. 
unsigned char SPI_Read(unsigned char* data, unsigned char bytesNumber);

//
//void adc_task(void *params);

#endif  // __ADC_TRANSPORT_H

